const mongoose = require("mongoose");
const Schema = mongoose.Schema;
const ObjId = mongoose.Types.ObjectId;

const file = new Schema(
  {
    path: {
      type: String,
      required: true,
    },
    owner: { type: ObjId, ref: "user" },
    name: {
      type: String,
      required: true,
    },
    date: {
      type: String,
      required: true,
    },
    size: {
      type: Number,
      required: true,
    },
    public: {
      type: Boolean,
      required: true,
    },
    edit: {
      type: [],
      required: true,
    },
    view: {
      type: [],
      required: true,
    },
  },
  { collection: "files" }
);

module.exports = mongoose.model("file", file);
